#! /bin/sh

# usage: token_match [-n column] filename token

# check if a position was defined, default is first column
pos=0
if [ $# -eq 4 ]
then
    pos=$2
    shift 
    shift
fi

filename=$1
token=$2
echo "File to open is ${filename}"
echo "Token to look for is ${token}"
echo "Token must be found in position ${pos} on a line"
echo
echo "Printing all lines:"

while read line
do
	# print line 
	echo $line 
done < $filename


