#! /bin/sh

# usage: token_match [-n column] filename token

# check if a position was defined, default is first column
pos=0
if [ $# -eq 4 ]
then
    pos=$2
    shift 
    shift
fi

filename=$1
token=$2
echo "File to open is ${filename}"
echo "Token to look for is ${token}"
echo "Token must be found in position ${pos} on a line"
echo
echo "Lines matched:"

while read line
do
    if [ "$line" ]  
    then

		# break the line into $1, $2, etc.
        set $line

		# if line has a token in the position asked
        if [ $pos -lt $# ]
        then 
		  # get the token we want positioned as $1
          shift $pos
		  # check if it's the token we're looking for
          if [ $1 = $token ] 
          then
		    # print line containing token
            echo $line
          fi
        fi
    fi
done < $filename


